Bug 751097 - no way to manually add (import) top level servers to inventory
Summary: no way to manually add (import) top level servers to inventory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Inventory, Plugins
Version: 4.2,4.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ---
: RHQ 4.3.0
Assignee: Ian Springer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: jon30-sprint8 789419
TreeView+ depends on / blocked
 
Reported: 2011-11-03 14:25 UTC by Heiko W. Rupp
Modified: 2013-08-06 00:41 UTC (History)
3 users (show)

Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 789419 (view as bug list)
Environment:
Last Closed: 2012-02-07 19:21:45 UTC


Attachments (Terms of Use)
screenshot showing that i do see the Postgres Server type listed (150.21 KB, image/png)
2011-11-03 16:07 UTC, Ian Springer
no flags Details
Screenshot listing only limited items (52.57 KB, image/png)
2011-11-03 16:12 UTC, Heiko W. Rupp
no flags Details
Screenshot listing only limited items (44.31 KB, image/png)
2011-11-03 16:14 UTC, Heiko W. Rupp
no flags Details
That change helps a lot (77.50 KB, image/png)
2011-11-04 15:09 UTC, Heiko W. Rupp
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 720456 None None None Never
Red Hat Bugzilla 789415 None None None Never

Internal Links: 720456 789415

Description Heiko W. Rupp 2011-11-03 14:25:05 UTC
Try to manually add a (non-discovered) postgres server or jboss as or standalone jmx server  into inventory.
There is no place in the UI where the user can trigger a "manual add" for those kinds of servers.

This used to be a righ-click option on the platform in the tree, but that is gone.

Comment 1 Ian Springer 2011-11-03 16:07:25 UTC
Created attachment 531594 [details]
screenshot showing that i do see the Postgres Server type listed

Comment 2 Heiko W. Rupp 2011-11-03 16:12:11 UTC
Created attachment 531595 [details]
Screenshot listing only limited items

Comment 3 Heiko W. Rupp 2011-11-03 16:14:20 UTC
Created attachment 531596 [details]
Screenshot listing only limited items

Comment 4 Ian Springer 2011-11-04 14:44:48 UTC
I wasn't able to reproduce this. I see all the importable types, including the top-level server types, listed in both locations.

[master 7f74d06] (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=7f74d06) makes various improvements in the code used by coregui to load top-level server and service types (the types that are missing from Heiko's Import type selection menus). Heiko, I'm hoping I'll get lucky and this will fix things for you. Please give it another try and let me know.

Comment 5 Heiko W. Rupp 2011-11-04 15:09:54 UTC
Created attachment 531793 [details]
That change helps a lot

Comment 6 Mike Foley 2012-02-07 19:21:45 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.